One day's total against its normal level, the top posts and everyone else
GET
/api/public/v1/content/day_breakdownLiveAnswers from your brand's records now.
Operation id getContentDayBreakdown
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/content/day_breakdown" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer | |
| start_date | query | string (date) | |
| end_date | query | string (date) | |
| campaign_ids | query | string | |
| platform | query | string | One of instagramtik_tokyoutubefacebooktwitter |
| date | query | string (date) | |
| metric | query | string | One of viewslikescommentssharessaves |
| baseline_days | query | integer | |
| limit | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| data | object | |
| data.baseline | number | |
| data.date | string (date) | |
| data.metric | string | |
| data.new_posts | integer | |
| data.others | object | |
| data.others.count | integer | |
| data.others.gain | integer | |
| data.others.share | number | |
| data.posts_with_gain | integer | |
| data.ratio | number, nullable | |
| data.top | array of object | |
| data.top[].[].avatar_url | string, nullable | |
| data.top[].[].creator_name | string, nullable | |
| data.top[].[].gain | integer | |
| data.top[].[].lifetime_total | integer | |
| data.top[].[].platform | string | |
| data.top[].[].post_url | string, nullable | |
| data.top[].[].posted_at | string (date-time), nullable | |
| data.top[].[].share | number | |
| data.top[].[].social_post_id | string | |
| data.top[].[].thumbnail_url | string, nullable | |
| data.top[].[].user_id | integer, nullable | |
| data.top[].[].username | string, nullable | |
| data.total | integer | |
| meta | object | |
| meta.campaign_ids | array of integer | |
| meta.organization_id | integer | |
| meta.platform | string, nullable | |
| meta.scope | string | One of familybrandcampaign |
| success | boolean |
Example
{
"data": {
"baseline": 125.5,
"date": "2026-11-01",
"metric": "string",
"new_posts": 3,
"others": {
"count": 3,
"gain": 3,
"share": 125.5
},
"posts_with_gain": 3,
"ratio": 125.5,
"top": [
{
"avatar_url": "https://example.com/p/1",
"creator_name": "Example name",
"gain": 3,
"lifetime_total": 3,
"platform": "string",
"post_url": "https://example.com/p/1",
"posted_at": "2026-11-01T15:04:05Z",
"share": 125.5,
"social_post_id": "string",
"thumbnail_url": "https://example.com/p/1",
"user_id": 1024,
"username": "Example name"
}
],
"total": 3
},
"meta": {
"campaign_ids": [
3
],
"organization_id": 1024,
"platform": "string",
"scope": "family"
},
"success": true
}Errors: 401404422429with an error and usually a message. See errors.
Example values are made up from each field's type and name.